import React from "react";

const SvgColor = ({ color, children }) => {
  let fillColor = color?.toLowerCase().match(/\w/g).join('');
  // console.log(fillColor);

  switch (fillColor) {
    case !color:
      fillColor = null;
      break;

    case "whitegray":
      fillColor = "#D3D3D3";
      break;

    case "graygreen":
      fillColor = "#AFB7AD";
      break;

    case "white":
      fillColor = "#e6e6e6";
      break;

    default:
      break;
  }
  return (
    <span className="ml-3" style={{ fill: fillColor }}>{ children }</span>
  );
}

const LeafIcon = ({ color, width = '45px', height = '33px' }) => {
  return (
    <SvgColor color={color}>
      <svg  style={{ width: width, height: height }} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 306 222">
        <path
          d="M306,189c-74-18-157,28-237,3c53-23,120-27,201-13c-73-17-132-17-178-2c-27,12-50,27-69,45c0,0-2,0-4,0c4-4,8-9,12-13
		C58,145,43,85,14,25c24,57,33,106,25,148C7,120,26,51,0,0c71,52,87,108,47,168c-2,12-5,24-9,34c12-13,23-28,33-43
		c6-28,31-81,76-159c0,36,1,63,1,80c1,26-52,34-63,60c26-29,67-45,124-47c-64,24-108,46-133,66c-8,12-17,24-26,35c7-5,15-10,24-14
		C140,110,217,113,306,189z"
        />
      </svg>
    </SvgColor>
  );
}

const SeedIcon = ({ color, size = '12px' }) => {
  return (
    <SvgColor color={color}>
      <svg style={{ width: size, height: size }} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 52.7 71">
        <path
          className="st0"
          d="M51.6,35.8C47.9,21.1,27.4-11.7,10.1,4.3C-6.5,19.6-1.4,55.6,16.3,67.6c2.4,1.6,4.9,2.1,7.4,1.9
			c1,0.3,1.9,0.6,3,0.8C48.5,75.2,55.8,52.8,51.6,35.8z M42.1,59.2c-2,2.5-4.6,3.8-7.3,4.2c0.7-0.7,1.3-1.4,1.8-2.1
			c1-1.3,1.7-2.9,2.3-4.5c2.8-3.4,4.4-7.8,4.8-12.5c0.6-1.3,1.2-2.6,1.7-3.9C46.8,47.1,46.4,53.9,42.1,59.2z"
        />
      </svg>
    </SvgColor>
  );
}

const FlowerIcon = ({ color, size = '40px' }) => {
  return (
    <SvgColor color={color}>
      <svg style={{ width: size, height: size }} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 170.9 160.3">
        <path
          d="M36.5,112.4c5.1-4.1,9.1-9,12.1-14.8c0.5-1.1,0.9-2.3,1.1-3.5c0.2-1.3-0.2-1.9-1.5-2.1
		c-1.4-0.3-2.9-0.4-4.3-0.5c-3.7,0.2-7.4,0.7-11,1.5c-3.6,0.8-7,2.1-9.9,4.5c-4.3,3.6-7.9,7.8-10.7,12.8c-0.9,1.6-1.7,3.3-1.9,5.2
		c-0.2,1.2,0.1,1.7,1.3,2c1.1,0.3,2.3,0.4,3.5,0.4c4.4,0.1,8.8-0.6,13-1.7C31.2,115.3,34.1,114.4,36.5,112.4z"
        />
        <path
          d="M3.8,60.8c2,2.6,4.4,4.8,7,6.7c5.1,3.8,10.5,6.5,17.1,6c0,0.1,0,0.1,0,0.2c2.3-0.2,4.5-0.3,6.8-0.6
		c3-0.4,6-1.1,8.8-2.3c1.4-0.6,1.5-1.2,0.8-2.5c-0.1-0.1-0.1-0.2-0.2-0.3c-2.3-3.4-4.8-6.5-8.1-8.9C25.9,51.4,14.9,50,3,54.5
		c-1.3,0.5-1.8,1.4-1.3,2.6C2.3,58.5,3,59.7,3.8,60.8z"
        />
        <path
          d="M102.1,55.3c0.2,1.6,0.7,3.2,1.2,4.7c0.3,1,0.8,1.1,1.7,0.9c0.8-0.2,1.6-0.5,2.3-1c4.2-2.4,7.7-5.6,10.9-9.2
		c2-2.2,3.7-4.6,4.6-7.5c1.5-4.6,2.2-9.4,2.2-14.8c0-0.8-0.1-2.2-0.2-3.5c-0.2-1.6-0.4-3.3-1.2-4.8c-0.6-1.1-1-1.3-2.2-0.8
		c-0.6,0.2-1.2,0.5-1.8,0.9c-4.6,2.8-8.5,6.3-12.1,10.3c-1.7,2-3.2,4.1-3.9,6.7C102,43.1,101.5,49.2,102.1,55.3z"
        />
        <path
          d="M105.8,109.2c-1.2-0.6-2.4-1.1-3.7-1.5c-1.1-0.4-1.6,0-1.9,1.1c-0.1,0.5-0.2,1.1-0.3,1.6
		c-0.2,4.1-0.3,8.2,0.3,12.4c0.5,4.1,1.7,8,4,11.6c2.6,4,6.2,7.1,10.2,9.5c2.2,1.3,4.6,2.6,6.9,3.6c1.6,0.7,2.4,0.2,2.7-1.5
		c0.4-2.1,0.5-4.3,0.8-6.4c-0.1-3.8-0.7-7.5-1.9-11.2C120,119.6,114.1,113.4,105.8,109.2z"
        />
        <path
          d="M147.3,52.1c-0.9,0-1.9,0-2.8,0c-5.4,0.2-10.4,1.5-15,4.4c-5.7,3.6-9.5,8.7-12.5,14.6
		c-0.6,1.2-0.4,1.8,0.9,2.1c3.2,1,6.6,1.7,9.9,1.9c5.3,0.3,10.3-1,15-3.4c6.6-3.4,11.8-8.5,15.3-15c1.1-2.1,0.6-3.2-1.7-3.6
		c-3-0.5-6.1-0.7-9.1-1.1C147.3,52,147.3,52.1,147.3,52.1z"
        />
        <path
          d="M162.2,107.3c-2.8-4.1-6.2-7.7-10-10.9c-2-1.7-4.2-3.3-6.8-4.1c-5.9-1.8-12-2.4-18.2-1.9
		c-1.5,0.1-3.1,0.6-4.6,1.1c-1.2,0.4-1.4,1.1-1.1,2.3c0.3,1.6,1.2,2.9,2.1,4.2c3.2,4.3,7.2,7.8,11.7,10.7c2.8,1.8,5.7,3.5,9,3.9
		c2.5,0.3,5.1,0.5,7.3,0.7c2.5-0.2,4.6-0.2,6.6-0.5c1.4-0.2,2.9-0.5,4.3-0.9c1.2-0.4,1.5-1,1-2.2
		C163.2,108.9,162.8,108.1,162.2,107.3z"
        />
        <path
          d="M69.6,44.3c1.6,2,2.6,1.9,4-0.3c3.7-6,5.9-12.4,6-19.6c-0.1-1.3-0.1-2.5-0.3-3.8c-0.8-7.2-3.8-13.5-8.6-19
		c-0.5-0.5-1-1-1.5-1.4c-0.7-0.5-1.3-0.5-1.9,0.2c-0.5,0.5-0.9,1.1-1.3,1.7c-1.8,3.2-3.3,6.4-4.4,9.9c-1.6,4.9-2.2,9.9-1.1,15
		C61.9,33.7,65.4,39.2,69.6,44.3z"
        />
        <path
          d="M45.1,45c4.9,3.9,10.5,6.2,16.6,7.7c0.4,0.1,0.9,0.2,1.3,0.2c0.9,0.1,1.4-0.2,1.5-1.2c0.1-0.7,0-1.4,0-2.1
		c0,0,0.1,0,0.1,0c-0.2-1.6-0.3-3.3-0.6-4.9c-0.9-5.3-2.9-10-6.3-14.2c-3.8-4.7-8.7-7.9-14.4-10c-2.5-0.9-5.1-1.6-7.7-2.2
		c-1.5-0.4-2.3,0.3-2.3,1.9c0,1.1,0,2.1,0.1,3.2C34.3,32.3,38.2,39.5,45.1,45z"
        />
        <path
          d="M90.1,124c-3.1,4.7-5.1,9.7-5,15.5c0.1,7.1,2.6,13.3,7.5,18.5c1.5,1.5,2.2,1.4,3.2-0.4c1.6-2.8,3-5.7,3.9-8.8
		c2.9-9.6,0.5-17.9-6.1-25.1C92.3,122.2,91.3,122.2,90.1,124z"
        />
        <path
          d="M9.9,39.3c2.8,3.9,6.3,7,10.3,9.5c1.8,1.1,3.8,1.9,5.9,2.1c3.9,0.4,7.7,0.4,11.6-0.2c1.1-0.1,2.3-0.5,3.4-0.8
		c0.6-0.2,0.8-0.6,0.6-1.2c-0.3-0.7-0.5-1.3-0.9-1.9c-2.3-3.7-5.3-6.7-8.6-9.4c-1.8-1.5-3.8-2.9-6.2-3.2c-3.2-0.4-6.5-0.8-9.6-1.2
		c-2.4,0.2-4.7,0.3-6.9,0.6c-1.3,0.2-1.8,0.9-1.3,2.2C8.6,37.1,9.2,38.3,9.9,39.3z"
        />
        <path
          d="M70.3,123.7c-1-1.5-2.3-1.9-3.9-1c-1.1,0.7-2.3,1.4-3.3,2.3c-6.1,5.4-9.7,12.2-10.9,20.2
		c-0.4,2.5-0.2,5.1,0.8,7.5c0.8,1.8,1.4,2.1,3.3,1.4c0.1-0.1,0.3-0.1,0.4-0.2c1.5-0.9,3-1.7,4.4-2.8c6.7-5.2,10.6-12,10.6-20.7
		c0-0.8,0-1.5-0.1-2.3C71.5,126.6,71.2,125.1,70.3,123.7z"
        />
        <path
          d="M126.9,41.5c-2.2,3.2-3.6,6.6-3.7,10.6c0,1,0.2,1.3,1.2,1.4c0.6,0.1,1.2,0.1,1.8,0.1c2.8-0.3,5.5-1.3,8.2-2.3
		c5.9-2.3,10.7-5.9,13.6-11.7c1.4-2.7,2.6-5.4,2.9-8.5c0.2-2.1-0.5-2.8-2.5-2.7c-1.1,0.2-2.2,0.2-3.2,0.5
		C137.4,30.6,131.4,34.9,126.9,41.5z"
        />
        <path
          d="M92.1,40c0.7,1.9,2.1,2.4,3.8,1.4c1-0.6,2-1.3,2.7-2.1c5.1-5.7,7.9-12.2,7.8-19.9c-0.1-0.9,0-1.8-0.2-2.7
		c-0.3-2-0.5-4-1.2-5.9c-1-2.9-2.9-3.4-5.3-1.6c-1.2,1-2.3,2.1-3.4,3.3C89.4,20.8,88.1,29.9,92.1,40z"
        />
        <path
          d="M56.1,124.7c0.6-1.9-0.4-3-2.4-3.2c-0.3,0-0.6,0-0.9,0c-3,0.1-6.2,0.8-9.3,2.3c-6.3,2.9-11.2,7.3-14.1,13.8
		c-0.8,1.7-1.3,3.6-1.4,5.5c-0.1,1.3,0.6,2.2,1.8,2.3c1.2,0.1,2.5,0.2,3.7-0.1c3.6-0.7,6.9-2.3,10-4.2c4.2-2.6,7.9-5.6,10-10.2
		C54.6,128.9,55.5,126.8,56.1,124.7z"
        />
        <path
          d="M40.9,114.9c-0.5,1.5-0.8,3.1-1.2,4.6c-0.1,0.7,0.2,1.1,0.8,1.3c0.8,0.2,1.6,0.4,2.4,0.6c1-0.2,2.1-0.3,3-0.6
		c4-1.2,7.4-3.5,10.4-6.3c2.9-2.7,5.3-5.8,6.6-9.6c1-3.1-0.4-4.8-3.6-4.4c-2.8,0.3-5.3,1.4-7.8,2.8C46.8,106,42.8,109.5,40.9,114.9z
		"
        />
        <path
          d="M86.9,116.5c-0.1-4.9-1.4-9.4-3.8-13.7c-0.5-1-1.3-1.9-2.1-2.6c-1-0.9-1.8-0.7-2.6,0.3
		c-2.9,3.8-4,8.2-4.1,12.4c0,4,0.6,7.4,2.1,10.5c0.8,1.6,1.7,3.2,2.8,4.6c1.1,1.4,2.7,1.4,4,0.1c0.5-0.5,1-1.2,1.3-1.8
		C86,123.2,86.9,119.9,86.9,116.5z"
        />
        <path
          d="M108.9,101.4c-1,0.6-1.4,1.3-1,2.4c0.4,1.1,0.9,2.1,1.5,3c1.8,2.7,4.2,4.9,6.8,6.8c3.5,2.6,7.4,4.2,11.8,4.3
		c0,0.1,0,0.1,0.1,0.2c1.3-0.3,2.7-0.5,4-1c1.8-0.7,2.2-2.2,1.3-3.9c-1.2-2.3-2.9-4.2-4.9-5.8c-4.2-3.5-8.9-6.1-14.5-6.8
		C112.3,100.3,110.5,100.4,108.9,101.4z"
        />
        <path
          d="M77.1,50.4c0.4,3.1,1.5,6,3.1,8.7c0.8,1.4,2,1.7,3.3,0.7c0.6-0.5,1.2-1,1.6-1.6c3.1-4.4,4.5-9.3,4.5-15.3
		c-0.1-1.3-0.3-3.2-0.6-5.1c-0.3-1.7-0.7-3.4-1.7-4.9c-1.1-1.7-2.6-1.9-4.1-0.5c-0.8,0.7-1.5,1.5-2.1,2.3
		C77.5,39.3,76.3,44.7,77.1,50.4z"
        />
        <path
          d="M65.9,61.6c-0.6-1.7-1.8-3-3.3-4c-5.4-3.9-11.5-5.6-18.2-5.5c-1.5,0-3.1,0.3-4.6,0.8c-2,0.6-2.6,2.2-1.6,4
		c0.6,1.1,1.4,2.2,2.4,3c4.5,3.8,9.5,6.2,15.5,5.9c1.4-0.1,2.8-0.1,4.2-0.3c1.4-0.2,2.9-0.6,4.2-1C66.2,63.9,66.4,63.1,65.9,61.6z"
        />
        <path
          d="M129,82.9c-1-1.1-2.1-2-3.4-2.7c-5.1-3-10.6-4.6-16.5-5c-1.9-0.1-3.9,0-5.7,0.7c-1.5,0.6-2.2,1.7-1.7,3.3
		c0.3,1,0.8,1.9,1.5,2.7c3.9,4.3,8.6,7.1,14.7,7c0.6,0,1.2,0,1.9,0c2.8-0.2,5.6-0.5,8.2-1.6C130.1,86.2,130.6,84.5,129,82.9z"
        />
        <path
          d="M36.9,76.7c-2.3,0.2-4.6,0.6-6.7,1.6c-1.9,0.9-2.1,1.9-0.7,3.4c2.5,2.7,5.5,4.7,8.8,6.3c1.9,1,3.9,1.5,6.1,1.4
		c1,0,2.1-0.1,3.1-0.2c3-0.3,5.9-0.9,8.6-2.2c1.9-0.9,2.1-1.6,0.8-3.2c-2.9-3.5-6.5-6.1-11.1-6.9c-1.7-0.3-3.4-0.3-4.7-0.5
		C39.4,76.6,38.1,76.6,36.9,76.7z"
        />
        <path
          d="M155.4,80.5c-7.2-5.3-14.8-5.7-22.8-1.9c-0.6,0.3-1.1,0.6-1.7,1c-1.1,0.8-1.2,1.7-0.3,2.7c0.3,0.4,0.6,0.7,1,1
		c4.3,3.2,9.1,5.3,14.6,5.1c0,0.1,0,0.1,0,0.2c1.9-0.3,3.7-0.4,5.6-0.8c1.7-0.3,3.4-0.9,4.7-2.1c1.3-1.1,1.4-2.5,0.2-3.8
		C156.4,81.3,155.9,80.8,155.4,80.5z"
        />
        <path
          d="M14.5,96.5c5.5-1,9.6-4.1,13-8.3c0.1-0.2,0.3-0.4,0.4-0.6c0.5-1,0.4-1.6-0.5-2.2c-0.4-0.3-0.9-0.5-1.3-0.6
		C17.4,81.5,7.6,84.4,1.5,92c-1.1,1.4-0.9,2.2,0.8,2.9c2.9,1.1,5.9,1.9,9,2C12.3,96.8,13.4,96.7,14.5,96.5z"
        />
        <path
          d="M132.3,123.2c-1.2-0.6-2.5-0.9-3.8-1.3c0,0.1,0,0.1-0.1,0.2c-2-0.1-2.9,0.9-2.6,2.9c0.3,1.7,0.6,3.4,1.1,5
		c2.2,6.4,6.3,10.9,12.9,12.8c1.1,0.3,2.2,0.4,3.3,0.4c1.1,0,1.8-0.8,2-1.9c0.1-0.8,0.1-1.7-0.1-2.5
		C143.4,131.5,139,126.4,132.3,123.2z"
        />
        <path
          d="M78.7,83c-0.2-0.2-0.4-0.4-0.6-0.6c-5.7-4.2-12.3-4.1-17.9,0.8c-0.8,0.7-0.7,1.2,0.1,1.7
		c2.8,1.9,5.7,3.3,9.3,3.2c2.7,0.1,5.3-0.8,7.8-2c0.5-0.2,0.9-0.5,1.3-0.9C79.4,84.5,79.4,83.7,78.7,83z"
        />
        <path
          d="M2,76.7c2.9,2.5,6.3,3.7,10.2,3.5c0.6,0,1.2,0.1,1.7,0c1.3-0.2,2.6-0.5,3.8-0.9c1.3-0.5,1.5-1.4,0.7-2.6
		c-0.4-0.6-1-1.2-1.6-1.7c-3.7-2.9-7.9-4.1-12.6-3.4c-1,0.2-2.1,0.4-3,0.8C-0.1,73-0.3,74,0.5,75.1C0.9,75.7,1.5,76.2,2,76.7z"
        />
        <path
          d="M170.7,97.9c-0.3-0.9-0.8-1.7-1.4-2.4c-2.2-2.7-5-4.4-8.2-5.6c-1.4-0.5-2.9-0.9-4.5-0.7
		c-2.1,0.2-2.7,1.4-1.8,3.3c0.9,1.9,2.4,3.4,3.9,4.9c2.4,2.4,5.4,3.3,8.9,3.5c0.4-0.1,1.1-0.1,1.7-0.3
		C170.6,100.2,171.2,99.2,170.7,97.9z"
        />
        <path
          d="M105.5,73.5c0.4-0.1,0.8-0.1,1.2-0.2c2.1-0.5,3.9-1.5,5.6-2.7c2.6-1.8,4.8-4,5.9-7.1c0.2-0.6,0.4-1.3,0.4-1.9
		c0.1-1-0.4-1.5-1.4-1.6c-0.3,0-0.6-0.1-1,0c-3.3,0.6-6.5,1.7-8.8,4.3c-1.8,2-3.3,4.1-4,6.7C103,72.6,103.8,73.5,105.5,73.5z"
        />
        <path
          d="M153.9,121.5c-2.9-2.5-6.3-4-10.2-4c-0.9,0.1-1.8,0.1-2.7,0.3c-0.8,0.1-1.7,0.3-2.4,0.6
		c-1.6,0.5-2,1.8-1.1,3.2c0.4,0.5,0.8,1.1,1.3,1.5c2.8,2.3,6.1,3.5,9.8,3.6c1.7,0.1,3.4-0.2,4.9-1.1
		C155.3,124.4,155.5,122.8,153.9,121.5z"
        />
        <path
          d="M87.5,83.5c0.4,0.6,0.8,1.3,1.3,1.9c2.8,3,6.4,4.3,10.5,4.1c0,0.1,0,0.2,0,0.3c1.8-0.3,3.6-0.5,5.3-1
		c1.8-0.5,2.2-1.6,1-3.1c-0.7-0.9-1.7-1.8-2.8-2.4c-3.3-1.9-6.9-2.6-10.7-2.4c-1.5,0.1-3,0.4-4.3,1.3C87.4,82.5,87.2,83,87.5,83.5z"
        />
        <path
          d="M109,143.9c-0.6-0.4-1.2-0.8-1.9-1.1c-0.9-0.4-1.4-0.1-1.7,0.7c-0.3,0.8-0.6,1.8-0.6,2.6
		c0.2,5.3,2.4,9.6,6.4,13c0.5,0.4,1.1,0.7,1.7,0.9c1,0.4,1.8,0,2.2-1c0.2-0.7,0.3-1.5,0.4-2.1c-0.3-2.8-0.5-5.4-1.9-7.7
		C112.4,147.3,110.9,145.4,109,143.9z"
        />
        <path
          d="M64.3,121.7c0.9-0.3,1.7-0.8,2.4-1.5c3.9-3.5,6.1-7.9,6.2-13.2c0-1.5-0.3-1.9-1.8-1.5
		c-1.1,0.2-2.2,0.6-3.1,1.1c-3.3,2.1-5.2,5.2-6.2,8.9c-0.4,1.5-0.6,3-0.3,4.5C61.7,121.6,62.8,122.3,64.3,121.7z"
        />
        <path
          d="M83.7,23c0.4,0.7,1,0.8,1.7,0.4c0.5-0.3,1.1-0.7,1.5-1.2c2.7-3,4.1-6.5,4.1-11.2c0-1.2-0.1-3-1-4.6
		c-0.8-1.4-2-1.7-3.3-0.7c-0.7,0.6-1.3,1.3-1.8,2c-2.3,3.6-3.1,7.5-2.6,11.7C82.6,20.7,83.2,21.9,83.7,23z"
        />
        <path
          d="M93.3,118.3c1.6,1.6,3.1,1.2,3.8-0.9c0.4-1.3,0.5-2.6,0.8-4.1c-0.3-1.8-0.6-3.6-1-5.4
		c-0.7-2.7-2.2-4.9-4.3-6.6c-1-0.8-1.7-0.7-2.3,0.5c-0.4,0.9-0.7,1.8-0.9,2.7C87.9,109.8,89.3,114.4,93.3,118.3z"
        />
        <path
          d="M119.3,93.7c-3.5-2.4-7.5-3.2-11.6-3.5c-0.6,0-1.3,0-1.9,0.1c-0.9,0.2-1.8,0.5-2.7,1c-0.8,0.4-0.9,1.1-0.5,1.9
		c0.3,0.6,0.7,1.1,1.1,1.5c3.4,3.1,7.4,4.5,12,4.1c1.6-0.1,3.2-0.3,4.6-1.1c1.1-0.6,1.3-1.3,0.6-2.3C120.6,94.8,120,94.2,119.3,93.7
		z"
        />
        <path
          d="M150,71.9c-1,1.8-0.4,2.8,1.7,2.7c1.6-0.1,3.2-0.4,4.7-0.7c4-1,7-3.3,8.9-7c1.3-2.6,0.4-4-2.9-4
		c-1.3,0.1-3,0.3-4.5,1.1C154.4,65.8,151.8,68.4,150,71.9z"
        />
        <path
          d="M128.7,30.6c0.3-0.1,1-0.2,1.6-0.4c3.9-1.5,7.3-3.8,10-7.1c0.7-0.9,1.3-2,1.7-3.2c0.9-2.5-0.3-3.7-2.9-3.2
		c-4.3,0.8-7.5,3.2-9.8,6.8c-1.1,1.7-2.1,3.4-2.4,5.4C126.8,30.1,127.3,30.6,128.7,30.6z"
        />
        <path
          d="M54,22.2c1.3,0.5,2.2,0,2.6-1.4c0.2-0.6,0.2-1.3,0.2-2c-0.2-2.6-1.1-4.9-2.4-7.1c-1.6-2.6-3.9-4.3-6.6-5.6
		c-1.3-0.6-1.9-0.2-2.1,1.1c-0.1,0.6-0.1,1.3-0.2,1.9c0,3.7,0.9,6.5,3,9C50,19.9,51.8,21.3,54,22.2z"
        />
        <path
          d="M99.4,51.8c-0.3-1.2-0.5-2.4-0.9-3.5c-0.4-0.9-1.1-1-2-0.5c-0.7,0.5-1.4,1-2,1.6c-2.3,2.4-3.6,5.2-4.3,8.4
		c-0.5,2.1-0.7,4.2,0,6.3c0.6,1.9,1.4,2.2,3,1c4-3.1,6.3-7,6.2-12.2C99.4,52.5,99.4,52.1,99.4,51.8z"
        />
        <path
          d="M76.8,68.8c1.1,0.5,1.7,0.2,2-1c0.1-0.7,0.2-1.5,0.2-2.3c0.1-6.1-3.2-10.1-8.2-13c-0.3-0.2-0.6-0.3-1-0.4
		c-1.1-0.2-1.9,0.2-2.1,1.3c-0.1,0.7-0.2,1.5-0.1,2.3c0.5,3.6,2.1,6.7,4.5,9.5C73.4,66.7,75,67.9,76.8,68.8z"
        />
        <path
          d="M49.3,69.8c-1.9,0.7-2.2,1.7-0.9,3.2c3.5,4.1,7.8,6.2,13.3,6c0.8,0,1.6-0.3,2.4-0.7c1.1-0.5,1.4-1.5,0.8-2.6
		c-0.3-0.6-0.7-1.1-1.1-1.6c-3-3.2-6.8-4.7-11.6-5C51.5,69.2,50.4,69.3,49.3,69.8z"
        />
        <path
          d="M80.9,93.9c0.6,3.4,2.4,6,4.8,8.3c0.9,0.9,1.4,0.8,2.2-0.3c1.1-1.8,1.5-3.7,1.4-5.7c0-3-0.6-6-1.9-8.8
		c-0.5-1-1.1-2-1.8-2.8c-0.9-1-1.9-0.9-2.6,0.2C81.1,87.5,80.3,90.6,80.9,93.9z"
        />
        <path
          d="M34.4,122.5c0.5-0.7,0.9-1.5,1.2-2.3c0.5-1.4,0.2-1.8-1.3-2c-1.9-0.2-3.8-0.1-5.6,0.4
		c-4.2,1.1-6.9,4.1-8.9,7.7c-1.2,2.2-0.3,3.5,2.3,3.5c0,0,0.1,0,0.1,0c0.3,0,0.5,0,0.8-0.1c0.1,0,0.3,0,0.4-0.1
		C27.9,128.6,31.5,126.2,34.4,122.5z"
        />
        <path
          d="M109.2,20.7c0.6,1.7,1.6,2,3,0.9c0.8-0.6,1.6-1.4,2.3-2.2c2.7-3.5,4.6-7.2,3.8-11.8c-0.1-0.8-0.3-1.6-0.6-2.3
		c-0.4-1-1.2-1.3-2.2-0.8c-0.5,0.2-1,0.5-1.4,0.9c-3.7,3.2-5.1,7.4-5.4,12c0.1,0.7,0.1,1.4,0.2,2C108.9,19.9,109,20.3,109.2,20.7z"
        />
        <path
          d="M91.1,76.6c0,0.5,0,0.9,0,1.4c0.1,1.2,0.6,1.5,1.7,1c3-1.5,5.8-3.3,7.7-6.2c1.6-2.4,2.1-5.1,2.4-7.8
		c0.3-2.2-0.5-2.8-2.5-2C94.6,65.2,91.1,70.3,91.1,76.6z"
        />
        <path
          d="M79.5,78.3c-0.1-0.8-0.2-1.6-0.5-2.3c-2.7-5.9-7.4-9-13.9-9.2c-1.2-0.1-1.7,0.5-1.5,1.8c0.1,0.3,0.1,0.7,0.3,1
		c1.7,3.3,3.9,6.1,7.2,7.9c2.4,1.2,5,1.4,7.6,1.8C79.2,79.3,79.6,78.9,79.5,78.3z"
        />
        <path
          d="M79,133.3c-0.8-1-1.8-1.2-2.8-0.3c-0.5,0.4-0.9,1-1.3,1.5c-1.7,2.6-2.4,5.5-2.4,7.4c0,3.5,0.4,5.8,1.7,7.9
		c1.1,1.8,1.9,1.8,3.2,0.1c2.8-3.7,3.8-7.9,3.2-12.5C80.3,136,80,134.6,79,133.3z"
        />
        <path
          d="M73.9,101c2.7-2.9,4.8-6.3,4.9-10.5c0-0.3,0-0.7,0-1c-0.1-1.3-0.6-1.6-1.8-1.2c-0.8,0.3-1.5,0.6-2.2,1
		c-4.9,2.8-7.7,6.9-8,12.6c-0.1,2.5,1.2,3.4,3.4,2.1C71.5,103.2,72.8,102.2,73.9,101z"
        />
        <path
          d="M86.9,62.1c-0.6-1.1-1.4-1.1-2.2-0.2c-0.1,0.1-0.2,0.2-0.3,0.3c-4.3,5.9-4.5,10.6-1.1,17
		c0.6,1.2,1.4,1.3,2.3,0.2c2.4-2.6,3.7-5.7,3.8-9.3c-0.2-1.3-0.3-2.7-0.7-4C88.2,64.8,87.6,63.4,86.9,62.1z"
        />
        <path
          d="M103.6,104.9c0.8,0,1.2-0.5,1.4-1.2c0.1-0.4,0.1-0.9,0-1.3c-1.1-5.1-4.2-8.6-8.9-10.8
		c-0.9-0.4-1.9-0.6-2.8-0.9c-1.5,0.1-2.2,0.9-1.9,2.4c1.2,5.8,4.6,9.8,10.4,11.6C102.3,104.9,103,104.9,103.6,104.9z"
        />
        <path
          d="M53.2,95.4c-0.3,0.4-0.5,0.9-0.6,1.4c-0.5,2.2,0,2.4,1.8,2.4c3-0.1,7-1.7,9.1-3.8c0.4-0.4,0.8-0.8,1.1-1.3
		c0.7-1.1,1.1-2.4,0.3-3.5c-0.8-1.2-2.1-1.3-3.4-1C58,90.4,55.2,92.4,53.2,95.4z"
        />
      </svg>
    </SvgColor>
  );
}

export default { SvgColor, LeafIcon, FlowerIcon, SeedIcon };
